METASOURCES = AUTO
AM_CPPFLAGS = $(KOPETE_INCLUDES) -I$(top_srcdir)/kopete/libkopete/private \
	-I$(top_srcdir)/kopete/kopete/chatwindow $(KOPETE_COMPAT_INCLUDES) $(all_includes)

kde_module_LTLIBRARIES = kcm_kopete_appearanceconfig.la

kcm_kopete_appearanceconfig_la_SOURCES = appearanceconfig.cpp \
	appearanceconfig_chatwindow.ui appearanceconfig_colors.ui appearanceconfig_contactlist.ui \
	appearanceconfig_emoticons.ui emoticonseditdialog.cpp emoticonseditwidget.ui tooltipeditdialog.cpp \
	tooltipeditwidget.ui

kcm_kopete_appearanceconfig_la_LDFLAGS = -module -no-undefined $(KDE_PLUGIN) \
	$(all_libraries)
kcm_kopete_appearanceconfig_la_LIBADD = ../../../libkopete/libkopete.la  \
	../../../kopete/chatwindow/libkopetechatwindow.la \
	-ltdetexteditor $(LIB_KOPETECOMPAT) $(LIB_TDEUTILS) $(LIB_TDENEWSTUFF)

service_DATA = kopete_appearanceconfig.desktop
servicedir = $(kde_servicesdir)

# vim: set noet:
noinst_HEADERS = emoticonseditdialog.h
